---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-8-10 16:36:01
---

---@class LBaseEngineOption
local LBaseEngineOption = LBaseEngineOption or class("LBaseEngineOption");

---@param nLevel number 
---@return boolean 
function LBaseEngineOption:SetWaterEffectLevel(nLevel)
    return false;
end 

---@return number 
function LBaseEngineOption:GetWaterEffectLevel()
    return 0;
end 

---@param nType number 
---@return boolean 
function LBaseEngineOption:SetShadowType(nType)
    return false;
end 

---@return number 
function LBaseEngineOption:GetShadowType()
    return 0;
end 

---@param bEnable boolean 
---@return boolean 
function LBaseEngineOption:EnableTXAA(bEnable)
    return false;
end 

---@return boolean 
function LBaseEngineOption:IsEnableTXAA()
    return false;
end 

---@param bEnable boolean 
---@return boolean 
function LBaseEngineOption:EnableSMAA(bEnable)
    return false;
end 

---@return boolean 
function LBaseEngineOption:IsEnableSMAA()
    return false;
end 

---@return boolean 
function LBaseEngineOption:Apply()
    return false;
end 

_G.g_EngineOption = LBaseEngineOption:new();
